{% if operation is not defined or operation != 'delete' %}
<routing-policy xmlns="http://openconfig.net/yang/routing-policy">
    <policy-definitions>
        <policy-definition>
            <name>{{policy_name}}</name>
            <statements>
                <statement>
                    <name>{{statement_name}}</name>
                    <config>
                        <name>{{statement_name}}</name>
                    </config>
                    <conditions>
                        <bgp-conditions xmlns="http://openconfig.net/yang/bgp-policy">
                            <match-ext-community-set>
                                <ext-community-set>{{ext_community_set_name}}</ext-community-set>
                                <match-set-options>{{match_set_options}}</match-set-options>
                            </match-ext-community-set>
                        </bgp-conditions>
                    </conditions>
                    <actions>
                        <config>
                            <policy-result>{{policy_result}}</policy-result>
                        </config>
                    </actions>
                </statement>
            </statements>
        </policy-definition>
    </policy-definitions>
</routing-policy>
{% endif %}
